html {
    scroll-behavior: smooth;
}

:root {
    --main-color: #007bff;
    --secondary-color: #006ada;
    --background-color: rgba(0, 0, 0, 50%);
    --text-color: #ffffff;
}

.section-cards {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: max-content;
    padding: 10px 0;
    margin: 0;
    flex-direction: column;
}

.cards-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 98%;
    gap: 14px;
    padding: 0 0 10px 0;
    flex-wrap: wrap;

}


/* .cards-container {
    text-align: center;
    display: grid;
    grid-template-columns: repeat(3, 30rem);
    gap: 1rem;
    justify-content: center;
    
} */




.card {
    width: 30rem;
    height: 24rem;
    /* ارتفاع ثابت */
    border-radius: 4px;
    overflow: hidden;
    position: relative;
    transition: box-shadow 0.3s ease;
    display: flex;
    flex-grow: 1;
    
    transform: scale(0.7); /* تصغير قليلاً بشكل افتراضي */
    opacity: 0; /* إخفاء البطاقة */
    transition: transform 0.6s ease-in-out, opacity 0.6s ease; /* حركة التغيير */
}

.card.zoom-in {
    transform: scale(1); /* تكبير البطاقة */
    opacity: 1; /* إظهار البطاقة */
}


@media(min-width: 2000px) {
    .card {
        width: 40rem;
        height: 26rem;
    }
}

@media(max-width: 1000px) {
    .card {
        width: 20rem;
        height: 18rem;
    }

}

@media(max-width: 670px) {
    .card {
        width: 16rem;
        height: 12rem;
    }
}

@media(max-width: 550px) {
    .card {
        width: 12rem;
        height: 8rem;
    }
}

@media(max-width: 400px) {
    .card {
        width: 10rem;
        height: 8rem;
    }
}


.card a {
    display: block;
    width: 100%;
    height: 100%;
    text-decoration: none;
    color: inherit;
    position: relative;
}

.card:hover {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.card .media {
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* لجعل الصورة تتناسب مع أبعاد المربع */
    transition: transform 0.3s ease;

}


.card:hover .media {
    transform: scale(1.07);
}



/* إخفاء العنوان والوصف بشكل افتراضي */
.card-content {
    direction: ltr;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 10px;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.8) 70%);
    /* تدرج لوني */
    color: white;
    box-sizing: border-box;
    opacity: 0;
    /* إخفاء النص */
    transition: opacity 0.3s ease, transform 0.3s ease;
    transform: translateY(10px);
    /* تحريك النص للأسفل */
}


/* إظهار العنوان والوصف عند تمرير الماوس */
.card:hover .card-content {
    opacity: 1;
    /* إظهار النص */
    transform: translateY(0);
    /* إعادة النص إلى مكانه الأصلي */
}


.card-content h3 {
    margin: 0;
    font-size: 1.2rem;
}

.card-content p {
    margin: 5px 0 0;
    font-size: 0.9rem;
}

@media(max-width: 700px) {
    .card-content h3 {
        font-size: 1rem;
    }
    
    .card-content p {
        font-size: 0.8rem;
    }
}

@media(max-width: 500px) {
    .card-content h3 {
        font-size: 0.9rem;
    }
    
    .card-content p {
        font-size: 0.7rem;
    }
}


.button-container-cards {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 5rem;
    padding: 10px 0;
}

.button-container-cards .button {
    display: flex;
    align-items: center;
    justify-content: center;

}



.button-container-cards .button button {
    background-color: var(--main-color);
    color: var(--text-color);
    border-radius: 18px;
    border: none;
    padding: 15px 25px;
    cursor: pointer;
    transition: transform 0.4s ease;
}

.button-container-cards .button button:hover {
    background-color: var(--secondary-color);
    transform: scale(1.05);
}